/*
 * sysSysCall.h --
 *
 *     	The constants for the system calls.
 *
 *	N.B.: This file is included in assembler sources, so no C code may
 *	appear here.
 *
 * Copyright 1985 Regents of the University of California
 * All rights reserved.
 *
 * $Header: /cdrom/src/kernel/Cvsroot/kernel/sys/sysSysCall.h,v 9.8 92/06/15 22:29:29 jhh Exp $ SPRITE (Berkeley)
 *
 */

#ifndef _SYSSYSCALL
#define _SYSSYSCALL

#define	SYS_PROC_FORK		0
#define	SYS_PROC_EXEC		1
#define	SYS_PROC_EXIT		2
#define	SYS_SYNC_WAITTIME	3
#define	SYS_TEST_PRINTOUT	4
#define	SYS_TEST_GETLINE 	5
#define	SYS_TEST_GETCHAR 	6
#define SYS_FS_OPEN		7
#define SYS_FS_READ		8
#define SYS_FS_WRITE		9
#define SYS_FS_CLOSE		10
#define SYS_FS_REMOVE		11
#define SYS_FS_REMOVE_DIR	12
#define SYS_FS_MAKE_DIR		13
#define SYS_FS_CHANGE_DIR	14
#define SYS_PROC_WAIT 		15
#define SYS_PROC_DETACH 	16
#define SYS_PROC_GETIDS      	17
#define SYS_PROC_SETIDS      	18
#define SYS_PROC_GETGROUPIDS	19
#define SYS_PROC_SETGROUPIDS	20
#define SYS_PROC_GETFAMILYID 	21
#define SYS_PROC_SETFAMILYID 	22
#define SYS_TEST_RPC		23
#define SYS_SYS_STATS		24
#define SYS_VM_CREATEVA		25
#define SYS_VM_DESTROYVA	26
#define	SYS_SIG_SEND		27
#define	SYS_SIG_PAUSE    	28
#define	SYS_SIG_SETHOLDMASK     29
#define	SYS_SIG_SETACTION       30
#define	SYS_PROF_START		31
#define	SYS_PROF_END		32
#define	SYS_PROF_DUMP		33
#define	SYS_VM_CMD		34
#define	SYS_SYS_GETTIMEOFDAY	35
#define	SYS_SYS_SETTIMEOFDAY	36
#define	SYS_SYS_DONOTHING	37
#define	SYS_PROC_GETPCBINFO	38
#define	SYS_VM_GETSEGINFO	39
#define	SYS_PROC_GETRESUSAGE	40
#define SYS_PROC_GETPRIORITY  	41
#define SYS_PROC_SETPRIORITY  	42
#define SYS_PROC_DEBUG  	43
#define SYS_PROC_PROFILE  	44
#define SYS_FS_TRUNC		45
#define SYS_FS_TRUNC_ID		46
#define SYS_FS_GET_NEW_ID	47
#define SYS_FS_GET_ATTRIBUTES	48
#define SYS_FS_GET_ATTR_ID	49
#define SYS_FS_SET_ATTRIBUTES	50
#define SYS_FS_SET_ATTR_ID	51
#define SYS_FS_SET_DEF_PERM	52
#define SYS_FS_IO_CONTROL	53
#define SYS_SYS_ENABLEDISPLAY	54
#define	SYS_PROC_SET_ENVIRON	55
#define	SYS_PROC_UNSET_ENVIRON	56
#define	SYS_PROC_GET_ENVIRON_VAR   57
#define	SYS_PROC_GET_ENVIRON_RANGE 58
#define	SYS_PROC_INSTALL_ENVIRON   59
#define	SYS_PROC_COPY_ENVIRON	60
#define SYS_SYNC_SLOWLOCK 	61
#define SYS_SYNC_SLOWWAIT 	62
#define SYS_SYNC_SLOWBROADCAST	63
#define SYS_VM_PAGESIZE 	64
#define SYS_FS_HARDLINK		65
#define SYS_FS_RENAME		66
#define SYS_FS_SYMLINK		67
#define SYS_FS_READLINK		68
#define SYS_FS_CREATEPIPE	69
#define	SYS_VM_MAPKERNELINTOUSER 70
#define	SYS_FS_ATTACH_DISK	 71
#define	SYS_FS_SELECT	 	72
#define SYS_SYS_SHUTDOWN	73
#define	SYS_PROC_MIGRATE 	74
#define	SYS_FS_MAKE_DEVICE 	75
#define	SYS_FS_COMMAND	 	76
#define	SYS_FS_LOCK	 	77
#define	SYS_SYS_GETMACHINEINFO	78
#define SYS_NET_INSTALL_ROUTE	79
#define SYS_FS_READVECTOR	80
#define SYS_FS_WRITEVECTOR	81
#define	SYS_FS_CHECKACCESS	82
#define SYS_PROC_GETINTERVALTIMER	83
#define SYS_PROC_SETINTERVALTIMER	84
#define SYS_FS_WRITEBACKID	85
#define	SYS_PROC_EXEC_ENV	86
#define SYS_FS_SET_ATTR_NEW	87
#define SYS_FS_SET_ATTR_ID_NEW	88
#define	SYS_PROC_GETHOSTIDS	89
#define	SYS_SCHED_IDLE_PROCESSOR	90
#define	SYS_SCHED_START_PROCESSOR	91
#define	SYS_MACH_NUM_PROCESSORS	92
#define SYS_PROF_PROFIL         93
#define SYS_PROC_REMOTE_EXEC    94
#define SYS_SYS_GETMACHINEINFO_NEW	95
#define SYS_VM_MMAP		96
#define SYS_VM_MUNMAP		97
#define SYS_VM_MSYNC		98
#define SYS_VM_MLOCK		99
#define SYS_VM_MUNLOCK		100
#define SYS_VM_MINCORE		101
#define SYS_SYNC_SEMCTL		102
#define SYS_SYNC_SEMGET		103
#define SYS_SYNC_SEMOP		104
#define SYS_VM_MPROTECT		105
#define SYS_PROC_VFORK  	106
#define SYS_NET_GET_ROUTES 	107
#define SYS_NET_DELETE_ROUTE 	108
#define SYS_ZSS_CMD 		109
#define SYS_ZEBRA_CMD 		110
#define SYS_SYS_GET_HOSTNAME	111
#define SYS_SYS_SET_HOSTNAME	112

#define SYS_NUM_SYSCALLS	113

#endif /* _SYSSYSCALL */
